
Redmine - Feature #3425

View progress bar of related issues

2009-05-27 16:38 - Samuel Krieg

Status: Closed Start date: 2009-05-27

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Hi,

It would be great if the user could view the "% Done" field for each related issue.

I provided a diff file to show what we need.

However maybe not everyone want to see this. That kind of information might be customizable in the settings, exactly like the

"Default columns displayed on the issue list" page does.

Thank you.

Related issues:

Related to Redmine - Defect #29918: Related issues section ignores the date f... Closed

Associated revisions

Revision 15981 - 2016-11-19 11:03 - Jean-Philippe Lang

Extracts the rendering of related issues to an helper (#3425).

Revision 15982 - 2016-11-19 11:04 - Jean-Philippe Lang

View progress bar of related issues (#3425).

History

#1 - 2013-03-18 15:17 - Dipan Mehta

+1. Will be great to have.

#2 - 2013-03-18 15:33 - Daniel Felix

Well if this gets included there should be a bigger solution which displays the state, progress, resolution, estimated time etc.

This could be handled by some link which request the additional information. I would prevent that there are too many database requests per issue

view.

#3 - 2015-12-13 05:41 - Go MAEDA

- File related_issues_view_done_ratio_r14972.diff added

Updated the patch to make it compatible with latest trunk (r14972).

In Redmine 3.2, "Subtasks" have progress bar but "Related issues" don't.

#4 - 2015-12-24 08:02 - Go MAEDA

- Category set to Issues

#5 - 2016-11-12 00:31 - Kamil Franckiewicz

+1 will be the best solution show quantity current percent.

#6 - 2016-11-15 05:27 - Toshi MARUYAMA

- Target version set to 3.4.0
https://www.redmine.org/projects/redmine/repository/svn/revisions/14972


#7 - 2016-11-19 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Progress bar added to the related issues.

#8 - 2018-11-08 01:24 - Go MAEDA

- Related to Defect #29918: Related issues section ignores the date format setting added

Files

related_issues_view_done_ratio_r2769.diff 1006 Bytes 2009-05-27 Samuel Krieg

related_issues_view_done_ratio_r14972.diff 694 Bytes 2015-12-13 Go MAEDA
